<?php
/**
 * functions.php
 *
 * Child theme functions.
 */

/**
 * This function replaces Storefront's product search function.
 * It will render the WooCommerce Product Search widget instead of
 * the default widget when the extension is enabled.
 */
function storefront_product_search() {
	if ( function_exists('storefront_is_woocommerce_activated' ) ) {
		if ( storefront_is_woocommerce_activated() ) { ?>
			<div class="site-search">
				<?php
				if ( function_exists( 'woocommerce_product_search' ) ) {
					echo woocommerce_product_search();
				} else {
					the_widget( 'WC_Widget_Product_Search', 'title=' );
				}
				?>
			</div>
		<?php
		}
	}
}
